<?php
@session_start();

if ( ( $_SESSION[ "benutzer_anmeldename" ] == "superuser" ) and ( $_SESSION[ "mandant_name" ] == "Standard" ) )
{
	header( "Location: su_uebersicht.php" );
	exit;
}

include( "su_web.php" );


//$benutzer_anmeldename = $_SESSION[ "benutzer_anmeldename" ];

if ( strlen( $_SESSION[ "benutzer_anmeldename" ] ) > 0 )
{
	$benutzer = liefere_benutzerinformationen( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ] );

	////////////////////////////////////////
	// Javascript-Dateien
	$_SESSION[ "javascript_dateien" ] = "jquery.dataTables.min.js|jquery.fancybox.pack.js?v=2.1.5|jstree.min.js";
	////////////////////////////////////////
	
	////////////////////////////////////////
	// Javascript-Startup
	$_SESSION[ "javascript_startup" ] = "$(function () { $('#postkorb_jstree').jstree(
			{
				'plugins' : [ 'wholerow' ],
				'core' :
				{
					'themes' :
					{
						'name' : false
					},
					'data': 
					{
						'url': 'su_web.php',
						'data': function(node)
								{ return { 'alpha_01': node.id, 'cmd': 'liefere_postkorb_JSON', 'benutzer_anmeldename': '".$_SESSION[ "benutzer_anmeldename" ]."', 'mandant_name': '".$_SESSION[ "mandant_name" ]."' }; } 
					}
					
				}

			}); });
			$('#postkorb_jstree').on( 'select_node.jstree', function (e, data) { 
				
				var icon = data.instance.get_node( data.selected ).icon;
				var text = data.instance.get_node( data.selected ).text;
				var id   = data.instance.get_node( data.selected ).id;
				
				
				
				alert( icon + ' | ' + text + ' | ' + id );
				
				
				
				});
			";
	////////////////////////////////////////
	
	////////////////////////////////////////
	// CSS-Dateien
	$_SESSION[ "css_dateien" ] = "jquery.fancybox.css?v=2.1.5|style.jstree.css";
	////////////////////////////////////////
	

	$_SESSION[ "title" ] = "Postkorb von ".$benutzer[ 2 ][ "benutzer_name" ];
	include( 'ssi_header.php' );
	$_SESSION[ "title" ] = "";
	
	////////////////////////////////////////
	// Javascript-Dateien
	$_SESSION[ "javascript_dateien" ] = "";
	////////////////////////////////////////
	
	////////////////////////////////////////
	// Javascript-Startup
	$_SESSION[ "javascript_startup" ] = "";
	////////////////////////////////////////
	
	////////////////////////////////////////
	// CSS-Dateien
	$_SESSION[ "css_dateien" ] = "";
	////////////////////////////////////////
	
	
	
	
	
	$us_rech_imp_button = liefere_benutzerspezifische_einstellung( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ], "us_rech_imp_button" );
	
	if ( $us_rech_imp_button == "ja" )
	{
		echo "<div style='margin-left:200px; padding-bottom:30px;  min-height:550px;'  >";
		include( "us_menu.php" );
	}
	else
	{
		echo "<div style='margin-left:20px; padding-bottom:30px;  min-height:550px;'  >";
	}
	
	
	////////////////////////////////////////
	
	
	echo "<table><tr><td stlye='min-height: 600px;'><div id='postkorb_jstree' ></div>";
	
	
	
	echo "</td><td><div id='ergebnis_1'></div></td></tr></table>";
	
	
	
	echo "<script><script>";
	
	
	
	
	
	////////////////////////////////////////
	
	
	
	
	
	
	
	
	
	echo '</div>';
	
	
	echo "<p style='clear:both;' />";
	include( 'ssi_footer.php' );

}
else
{
	header("Location: index.php");
}
?>      